# Uses of Interface
java.security.cert.CertPathValidatorException.Reason

Packages that use CertPathValidatorException.Reason
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of CertPathValidatorException.Reason in java.security.cert

Classes in java.security.cert that implement CertPathValidatorException.Reason
Modifier and Type
Class
Description
`static enum`
`CertPathValidatorException.BasicReason`
The BasicReason enumerates the potential reasons that a certification path of any type may be invalid.
`enum`
`PKIXReason`
The `PKIXReason` enumerates the potential PKIX-specific reasons that an X.509 certification path may be invalid according to the PKIX (RFC 5280) standard.
Methods in java.security.cert that return CertPathValidatorException.Reason
Modifier and Type
Method
Description
`CertPathValidatorException.Reason`
CertPathValidatorException.`getReason()`
Returns the reason that the validation failed.
Constructors in java.security.cert with parameters of type CertPathValidatorException.Reason
Modifier
Constructor
Description
``
`CertPathValidatorException(String msg, Throwable cause, CertPath certPath, int index, CertPathValidatorException.Reason reason)`
Creates a `CertPathValidatorException` with the specified detail message, cause, certification path, index, and reason.